Get Extension

Base URL
https://api.elastic-cloud.com/api/v1
No auth

Retrieves an extension.

Path parameters

extension_id string required

Id of an extension

Query parameters

include_deployments boolean · default: false

Include deployments referencing this extension. Up to only 10000 deployments will be included.

Responses

The Extension

application/json
id string required

The extension ID

name string required

The extension name.

description string

The extension description.

url string required

The extension URL to be used in the plan.

download_url string

The download URL specified during extension creation.

extension_type enum required

The extension type.

Values: plugin bundle
version string required

The Elasticsearch version.

deployments string[]

List of deployments using this extension. Up to only 10000 deployments will be included in the list.

Response headers

x-cloud-resource-version string

The resource version, which is used to avoid update conflicts with concurrent operations

x-cloud-resource-created string

The date-time when the resource was created (ISO format relative to UTC)

x-cloud-resource-last-modified string

The date-time when the resource was last modified (ISO format relative to UTC)

Base URL
https://api.elastic-cloud.com/api/v1